Package: org.codehaus.groovy.ast.stmt

## [Java] Class ForStatement

- org.codehaus.groovy.ast.stmt.ForStatement

- All Implemented Interfaces and Traits:
    LoopingStatement

      public class ForStatement
      extends Statement

  Represents a standard for loop in Groovy

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Parameter` | `FOR_LOOP_DUMMY` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Expression` | `collectionExpression`
    `Statement` | `loopBlock`
    `VariableScope` | `variableScope`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForStatement (Parameter variable, Expression collectionExpression, Statement loopBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getCollectionExpression()`
    `` | `Statement` | `getLoopBlock()`
    `` | `Parameter` | `getVariable()`
    `` | `VariableScope` | `getVariableScope()`
    `` | `ClassNode` | `getVariableType()`
    `` | `void` | `setCollectionExpression(Expression collectionExpression)`
    `` | `void` | `setLoopBlock(Statement loopBlock)`
    `` | `void` | `setVariableScope(VariableScope variableScope)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `getConnection, isClosed, cancel, setEscapeProcessing, getResultSetConcurrency, getResultSetHoldability, isCloseOnCompletion, enquoteNCharLiteral, getLargeUpdateCount, clearWarnings, getFetchSize, getFetchDirection, getWarnings, setFetchDirection, setFetchSize, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getMaxFieldSize, setMaxFieldSize, executeQuery, getMaxRows, clearBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, setMaxRows, getResultSet, getMoreResults, getMoreResults, executeBatch, setLargeMaxRows, executeLargeBatch, setQueryTimeout, isSimpleIdentifier, setPoolable, enquoteIdentifier, getLargeMaxRows, setCursorName, getResultSetType, enquoteLiteral, closeOnCompletion, getQueryTimeout, getUpdateCount, isPoolable, addBatch, getGeneratedKeys, execute, execute, execute, execute, close, isWrapperFor, unwrap`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final Parameter FOR_LOOP_DUMMY

  - ### Property Detail

    - #### Expression collectionExpression

    - #### Statement loopBlock

    - #### VariableScope variableScope

  - ### Constructor Detail

    - #### public ForStatement(Parameter variable, Expression collectionExpression, Statement loopBlock)

  - ### Method Detail

    - #### public Expression getCollectionExpression()

    - #### public Statement getLoopBlock()

    - #### public Parameter getVariable()

    - #### public VariableScope getVariableScope()

    - #### public ClassNode getVariableType()

    - #### public void setCollectionExpression(Expression collectionExpression)

    - #### public void setLoopBlock(Statement loopBlock)

    - #### public void setVariableScope(VariableScope variableScope)

    - #### public void visit(GroovyCodeVisitor visitor)